global.error.request.param.missing=请求参数缺失:{0}
global.error.bad.request=请求参数不正确:{0}
global.error.request.param.type.error=请求参数类型错误:{0}
global.error.request.not.found=请求未找到:{0}
global.error.request.method.error=请求方法不正确:{0}
global.error.request.too.many=请求过于频繁，请稍后重试
global.error.request.duplicate.data.error=请求数据已存在，请检查
global.error.default.error=系统繁忙，请稍后再试
global.error.no.permission=没有该操作权限
global.error.no.permission.to.visit.org=您无权访问该组织的数据
global.error.request.organId.notExist=请求的组织标识未传递，请进行排查
global.org.product.not.exist=账号登录异常，套餐信息不存在，请重新登陆
global.org.product.expired=组织产品套餐已过期，请续费后继续使用
global.not.login=账号未登录
be.kicked.out=您的账号于 {0} 在别处登录，已被迫下线。登录IP：[{1}]

auth.login.bad_credentials=登录失败，账号密码不正确
auth.login.user_disabled=登录失败，账号被禁用
auth.login.captcha_code_error=验证码不正确，原因：{0}
auth.login.third_not_bind=未绑定账号，需要进行绑定
auth.mobile.not_exists=手机号不存在
auth.mobile.no_change=手机号未发生改变，无需修改
auth.manage_endpoint.login_permission_error=登录失败，管理端账号不存在
auth.login.user.not.exist=手机号未注册

menu.name.duplicate=已经存在该名字的菜单
menu.parent.not_exists=父菜单不存在
menu.parent.error=不能设置自己为父菜单
menu.not_exists=菜单不存在
menu.exists_children=存在子菜单，无法删除
menu.parent.not_dir_or_menu=父菜单的类型必须是目录或者菜单
menu.operation_permission_error=管理端菜单操作权限不足
menu.trans_error=菜单翻译异常，error_code :{0}

role.not_exists=角色不存在
role.name.duplicate=已经存在名为[{0}]的角色
role.code.duplicate=已经存在编码为[{0}]的角色
role.can_not_update_system_type=不能操作类型为系统内置的角色
role.is_disable=名字为[{0}]的角色已被禁用
role.admin_code_error=编码[{0}]不能使用
role.me_error=不可为自身分配角色
role.not_superadmin_no_organ_id_oper_error=非超管分配权限
role.buildin.modify_permission_error=修改内置角色下菜单权限的权限不足
role.self.modify_permission_error=无法修改自身的角色菜单权限
role.self.modify_error=无法修改自身的角色

user.username.exists=手机号已经存在
user.mobile.exists=手机号已经存在
user.email.exists=邮箱已经存在
user.not_exists=用户不存在
user.import.empty=导入用户数据不能为空！
user.password.failed=当前密码不正确，请重新输入
user.is_disable=名字为[{0}]的用户已被禁用
user.count.max=超过组织用户配额({0})，创建用户失败！
user.me.error=不允许操作用户自身
user.password.length_at_least_8=密码长度不少于8位，且包含大小写字母、数字和特殊字符
user.username.multiple_error=存在[{0}]重复用户，请联系系统管理员
user.operate_self_status_error=不允许操作用户自身状态
user.mobile_update_not_allow=该用户已通过手机号认证，如需修改手机号请前往个人中心
user.organ_admin_user.delete_not_allow=组织管理员不允许删除

dept.name.duplicate=已经存在该名字的部门
dept.parent.not_exists=父级部门不存在
dept.not_found=当前部门不存在
dept.exists_children=存在子部门，无法删除
dept.parent.error=不能设置自己为父部门
dept.exists_user=部门中存在员工，无法删除
dept.parent_is_child=不能设置自己的子部门为父部门
dept.user_oper_not_allow=不允许操作用户自身部门
dept.parent_user_oper_not_allow=不允许操作用户自身部门及其上级部门
dept.disable=部门({0})已被禁用
dept.not_allowed_login=部门({0})已被禁用，无法登录
dept.parent_disable=上级部门({0})已被禁用，请开启后操作或选择其他上级部门

dict_type.not_exists=当前字典类型不存在
dict_type.not_enable=字典类型处于关闭状态，不允许新增或编辑
dict_type.name.duplicate=已经存在该名字的字典类型
dict_type.type.duplicate=已经存在该类型的字典类型
dict_type.has_children=无法删除，该字典类型还有字典数据

dict_data.not_exists=当前字典数据不存在
dict_data.not_enable=字典数据({0})不处于开启状态，不允许选择
dict_data.value.duplicate=已经存在该值的字典数据
dict_data.trans_error=字典数据标签翻译异常，error_code :{0}

notice.not_found=当前通知公告不存在
notice.name_unique_error=公告标题已存在，请编辑后重试
notice.buildin.modify_permission_error=内置通知公告编辑权限不足

sms.channel.not_exists=短信渠道不存在

sms.template.not_exists=短信模板不存在
sms.template.code.duplicate=已经存在编码为[{0}]的短信模板
sms.template.api_error=短信 API 模板调用失败，原因是：{0}
sms.template.api.audit_checking=短信 API 模版无法使用，原因：审批中
sms.template.api.audit_fail=短信 API 模版无法使用，原因：审批不通过，{0}
sms.template.api.not_found=短信 API 模版无法使用，原因：模版不存在

sms.send.mobile.not_exists=手机号不存在
sms.send.mobile.template_param_miss=短信模板参数({0})缺失
sms.send.template.not_exists=短信模板不存在

sms.code.not_found=验证码不存在，请点击获取
sms.code.not_correct=验证码不正确
sms.code.send_too_fast=短信发送过于频率
sms.code.is_valid=验证码在有效期内，5分钟内请勿重复发送！

organ.not_exists=组织不存在
organ.disable=[{0}]组织已被禁用
organ.expire=[{0}]组织已过期
organ.can_not_update_system=系统组织不能进行修改、删除等操作！
organ.name.duplicate=名字为[{0}]的组织已存在
organ.website.duplicate=域名为[{0}]的组织已存在
organ.data_code.not_exists=组织未配置数据源标识
organ.already_exists=该新增组织已授权机台数量无需重复新增！
organ.user_oper.not_allow=不允许操作用户自身组织
organ.contact_mobile.duplicate=手机号为[{0}]的组织已存在
organ.expiretime.product_id_lack=请选择要购买的产品

notify.template.not.exists=站内信模版不存在
notify.template.code.duplicate=已经存在编码为[{}]的站内信模板
notify.send.template.param.miss=站内信模板参数({})缺失

machine.not.exists=机台不存在
machine.template.not.exists=机台模板不存在
default.template.count=默认模板数量异常
the.current.machine.is.already.in.use=当前机台已使用，禁止删除
machine.error=当前机台错误，请重新选择机台
the.current.brand.of.the.machine.exists=当前机台配置的模板中，该品牌已存在，请重新输入品牌名称
the.model.of.the.machine.does.not.exist=该型号的机台模板不存在，请进行配置
the.current.brand=品牌ID错误，或品牌不存在
machine.num.error=当前组织该类型的机台创建已达到最大值，无法继续创建
machine.name.error=当前机台名称已存在，请重新输入机台名称
machinetemplate.name.error=当前机台模板的名称已存在，请重新输入机台模板名称
labelingmachine.related.data.error=当前机台关联的贴标机数据有误，请在高级配置中重新配置贴标机或选择其他模板
drillmachine.related.data.error=当前机台关联的钻孔机数据有误，请在钻孔模块中重新配置钻孔机或选择其他模板
machine.data.error=当前组织还未进行机台授权，请联系组织管理员在基础管理里对当前组织进行机台授权，或联系客服进行授权
machine.num.data.error=组织授权的机台数量不能超过127台
machine.used.already=当前机台在加工方案组中已使用，无法删除

label.template.not.exists=标签模板不存在
label.not.exists=标签不存在
default.label.not.exists=该类型标签默认模板不存在
machine.use.label=当前标签已有机台使用，无法删除
default.not.deleted=默认标签模板无法删除
label.is.use.error=当前标签打包设置中已有用户使用，无法删除
data.source.not.exists=系统数据源不存在

order.parts.import.list.is.empty=生产配件导入数据不可以为空
remain.plate.status.used=余料板正在使用中，禁止修改
remain.plate.status.no.used=余料板未使用
remain.plate.usr.type=余料板使用类型为不可核销类型
remain.plate.id.not.exists=未选中余料板，请选择余料板
remain.plate.count.max=每次新增余料板数量，最大为999

system.config.not_exists=系统配置不存在
system.config.type_not_support=不支持的系统配置类型
system.config.custom_plate_no.rule_save_format_error=自定义板编号配置：自定义板编号保存格式错误，请检查配置规则
system.config.custom_plate_no.rule_reset_not_support=自定义板编号配置：该规则不支持手动复位/清零
system.config.custom_plate_no.rule_item_not_found=自定义板编号配置：找不到对应的规则项进行手动复位/清零
system.config.custom_plate_no.rule_order_reset_failed=自定义板编号配置：手动复位/清零订单下序号失败，请联系客服
custom.plate_no.rule.code_empty=规则编码不能为空
custom.plate_no.rule.code_not_match=规则编码[{0}]不合法，请检查配置规则
custom.plate_no.rule.date_format_error=时间格式[{0}]不合法，请检查配置规则
custom.plate_no.rule.custom_value_empty=自定义字符值不能为空，请检查配置规则
custom.plate_no.rule.reset_mode_error=规则[{0}]复位/清零模式不合法，请检查配置规则
custom.plate_no.rule.int_type_empty={0} 下的 {1} 不能为空，请检查配置规则
custom.plate_no.rule.int_type_convert_error={0} 下的数值类型参数 {1}:{2} 转换异常，请检查配置规则
custom.plate_no.rule.bool_type_convert_error={0} 下的布尔类型参数 {1}:{2} 转换异常，请检查配置规则
process.scheme.data_empty=加工方案组的：{0} 为空，无法保存，请进行配置
process.scheme.config.data_empty=加工方案组的：{0} 为空，请检查配置信息
process.scheme.config.field_error=当前方案组的配置异常，请重新配置
process.scheme.config.in_use=当前方案组已在排单中使用，无法删除
process.scheme.config.machine_label_empty=当前方案组对应的解析器的机台的标签数据为空，请检查机台的标签配置信息
config.data_error=当前系统配置的数据有误，请重新尝试排序
process.config.used_already=当前加工分线配置在加工方案组中已使用，无法删除
optimization.config.used_already=当前数据处理配置在加工方案组中已使用，无法删除
sealedge.config.item_empty=第 {0} 条配置中，有字段值为空，请添加数据
sealedge.config.max_value_error=第 {0} 条配置中，{1} 要大于等于 {2}，请修改数据
sealedge.config.data_error=当前封边条配置有误，请重新检查后新增
sealedge.config.name_exists=当前配置的名称已存在，请重新命名
sealedge.config.decimal_places_max_three=第 {0} 条配置中，小数位数最大为 3 位，请进行修改
sealedge.config.min_value_gt_zero=第 {0} 条配置中，宽最小值：{1} 要大于 0，请修改数据
sealedge.config.max_value_gt_zero=第 {0} 条配置中，宽最大值：{1} 要大于 0，请修改数据
sealedge.config.value_range_error=第 {0} 条配置中，宽最大值 要大于 宽最小值，请修改数据

token.app_type.exist=当前应用已存在token配置，无法继续新增
token.config.not_exists=当前应用的token配置不存在
token.time.is_expires=当前token已过期，请重新配置或延长时间
token.app_type.no_update=应用名称不允许更改
token.data.is_null=当前token的配置为空，无需删除
token.expires_time.is_null=当前未选择有效时间，请选择再进行新增
token.expires_time.data_error=当前选择的有效时间已过期，请增加有效时间
token.insert.data_error=token新增失败，请重新尝试

invoice.no_exist=当前发票记录有误，请重新查看
invoicing.reject_reason=请填写拒绝开票原因
purchase_record.no_exist=当前发票对应的购买记录有误，请退回组织后重新申请开票
invoice.is_fail=当前发票已开票，无法再次进行开票
products.is_exist=产品[{0}]已存在，请修改产品名称后再次操作
products.no_delete=当前产品已上架，无法删除，请下架后再删除
products.no_update=当前产品已上架，无法进行修改
products.detail.no_update=定价规则对应的产品已上架，无法进行修改
advertisement.time_error=投放时间错误，结束时间应大于开始时间
advertisement.name.is_exist=当前广告名称已存在，请重新命名
advertisement.no_delete=当前广告已经发布，无法删除，请结束发布后再删除
product_promotion.active.name.is_exist=当前优惠活动名称已存在，请修改
product_promotion.purchaseduration.is_exist=当前所选产品下{0}{1}购买时长的优惠活动已存在，请修改
invoice_title.not_exists=发票抬头不存在，请先创建发票抬头
org_invoice.purchase_record.update_num.not_match=当前勾选的购买记录中部分可能已开票，请查询后重新勾选提交开票
org_invoice.agree_file.null=确认开票发票附件不能为空，请上传后再提交
invoice_title.org.exists=组织下已存在发票抬头，请刷新后编辑抬头内容
invoice_title.taxpayerid.exists=统一社会信用代码已存在，请检查
products.not_nolist=当前产品未上架
org_product.purchase.lock=组织下存在购买中的产品操作，请稍后再试
invoice_title.enterprise.taxnumber.empty=企业统一信用代码不能为空
invoice.amount.zero=可开票金额为0，请检查购买记录
invoice.apply.uninvoiceable.exist=当前提交记录中存在不可开票记录，请刷新列表后重新选择提交

pay.channel_not_support=暂不支持的支付渠道，请使用其他支付渠道
pay.order_not_exist=支付订单不存在，支付编号[{0}]，请重新发起支付
pay.order_channel_query_not_exist=如果您已确认扫码支付，请稍后刷新页面，支付平台可能存在延迟到账
pay.order_notify_data_parse_error=解析支付回调数据异常
pay.order_status_is_not_waiting=支付订单不处于待支付
pay.order_submit_channel_error=发起渠道支付异常，请联系客服
pay.notify_passback_tradetype_not_support_error=不支持的支付回调tradeType:[{0}]，请检查支付渠道

product.no_exist=当前产品不存在
product.detail_no_exist=当前产品的规则不存在
product.detail_duration_exist=当前产品下已存在产品时长[{0}/{1}]的定价规则，请修改后重新操作
product.promotion_no_exist=当前优惠活动不存在
product.detail_duration_unit_not_support=不支持的时长单位，请检查该定价规则的时长单位
org.product_purchase_wait_pay_error=组织下存在当前产品的待支付记录，请支付或{0}分钟后再次发起软件购买
product.price_null_error=产品建议价格为空，请联系客服
org.product_purchase_not_exist_error=组织订购记录不存在，请检查数据
org.product_purchase_exist_error=组织[{0}]订购记录已存在，请勿重复订购
org.product_purchase_delay_record.paid.error=组织[{0}]首购记录[{1}]存在已支付的延期记录，请勿删除

advertisement.no_exist=广告不存在
advertisement.status_endtime_expired=当前广告投放结束时间已超期，请重新发布选择投放时间或重新编辑投放时间
advertisement.image_empty_error=广告图片文件为空，请重新上传
advertisement.image_upload_fail=广告图片上传失败，请稍后再试
advertisement.update_status_error=当前广告已经发布，若要编辑请先结束发布

parser.no_exist=当前解析器不存在，请重新选择
parser.template_no_exist=当前解析器模板不存在，请重新选择
product_purchase.no_exist=当前购买记录不存在，请检查
product_purchase.endtime_before_delaytime_error=当前产品订购有效期{0}未超过当前日期，请调整订购时长
product.delay_duration_unit_not_support=不支持的产品延期时长单位

assembly.config.import.order_components.query.error=装配设置导入失败：订单部件查询失败，请检查订单状态
assembly.config.not_exist=装配设置不存在
assembly.config.do_config_exist=装配设置[{0}]已存在
assembly.config.new_config_name_exist=新装配设置名称[{0}]已存在，请重新查询后再次操作
assembly.config.save_topname_exist=当前配置中顶级节点名称[{0}]已存在，请修改后再次保存
assembly.config.no_need_new_config=不存在名为[{0}]的已配置重复设置，请重新查询后再次操作